<?php

namespace STM\DB\Object\Helpers;

use \Exception;

/**
 * Test class for FetchRows.
 * Generated by PHPUnit on 2013-07-06 at 13:16:26.
 * @group database
 */
class FetchRowsTest extends \PHPUnit_Framework_TestCase
{

    /** @var FetchRows */
    private $object;

    protected function setUp()
    {
        $this->object = new FetchRows();
    }

    public function testSetClass()
    {
        parent::assertFalse($this->object->isSetClass());
        $this->object->setClass(''); // class must be non empty string
        parent::assertFalse($this->object->isSetClass());
        $this->object->setClass('stdClass');
        parent::assertTrue($this->object->isSetClass());
    }

    public function testUnsetFetchMethod()
    {
        try {
            $this->object->fetch('result');
            parent::fail('Fetch should fail');
        } catch (Exception $e) {
            // callback is not set -> exception
            parent::assertInstanceOf('PHPUnit_Framework_Error_Warning', $e);
        }
    }

}

?>
